Genomic Elements Variants
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/genomic-elements/variantsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/genomic-elements/variants"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/genomic-elements/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"variant": {
"chr": "<string>",
"pos": 123,
"ref": "<string>",
"alt": "<string>",
"rsid": [
"<string>"
],
"spdi": "<string>",
"hgvs": "<string>",
"ca_id": "<string>",
"_id": "<string>"
},
"name": "<string>",
"label": "<string>",
"method": "<string>",
"class": "<string>",
"log2FC": 123,
"neg_log10_pvalue": 123,
"beta": 123,
"files_filesets": "<string>",
"biological_context": "<string>",
"biosample_term": "<string>",
"source": "<string>",
"source_url": "<string>",
"genomic_element": {
"_id": "<string>",
"name": "<string>",
"chr": "<string>",
"start": 123,
"end": 123,
"type": "<string>",
"source": "<string>",
"source_url": "<string>",
"source_annotation": "<string>"
}
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Genomic Elements Variants
Retrieve variants associated with genomic elements.
Example: region = chr1:976210-976314,
region_type = accessible dna elements,
biosample_term = EFO_0002067,
biological_context = K562,
method = caQTL.
The limit parameter controls the page size and can not exceed 300.
Pagination is 0-based.
Genomic Elements Variants
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/genomic-elements/variantsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/genomic-elements/variants"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/genomic-elements/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"variant": {
"chr": "<string>",
"pos": 123,
"ref": "<string>",
"alt": "<string>",
"rsid": [
"<string>"
],
"spdi": "<string>",
"hgvs": "<string>",
"ca_id": "<string>",
"_id": "<string>"
},
"name": "<string>",
"label": "<string>",
"method": "<string>",
"class": "<string>",
"log2FC": 123,
"neg_log10_pvalue": 123,
"beta": 123,
"files_filesets": "<string>",
"biological_context": "<string>",
"biosample_term": "<string>",
"source": "<string>",
"source_url": "<string>",
"genomic_element": {
"_id": "<string>",
"name": "<string>",
"chr": "<string>",
"start": 123,
"end": 123,
"type": "<string>",
"source": "<string>",
"source_url": "<string>",
"source_annotation": "<string>"
}
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
accessible dna elements Available options:
caQTL Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes